/* Copyright (c) 1996 University of Utah.  All Rights Reserved.
 *
 * Permission to use, copy, modify, and distribute this software and
 * its documentation for NON-COMMERCIAL purposes and without fee is
 * hereby granted provided that this copyright notice appears in all
 * copies.
 *
 * See http://www.cs.utah.edu/~hamlet for more educational resources.
 *
 * The University of Utah MAKES NO REPRESENTATIONS OR WARRANTIES ABOUT
 * THE SUITABILITY OF THE SOFTWARE, EITHER EXPRESS OR IMPLIED,
 * INCLUDING BUT NOT LIMITED TO THE IMPLIED WARRANTIES OF
 * MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE, OR
 * NON-INFRINGEMENT. The University of Utah SHALL NOT BE LIABLE FOR
 * ANY DAMAGES SUFFERED BY LICENSEE AS A RESULT OF USING, MODIFYING OR
 * DISTRIBUTING THIS SOFTWARE OR ITS DERIVATIVES.
 */

package Robot;

import java.awt.*;
import java.applet.*;
import hamlet.ScrollableNumbers;
import Robot.*;

//
//   Class robotControls
//
public class robotControls extends Panel {
    /*Label	torsoLabel, kneeLabel;
    TextField	torsoField, kneeField;*/
    ScrollableNumbers torsoField, kneeField;

    public robotControls() {
	setLayout( new FlowLayout( FlowLayout.LEFT ) );
	
	torsoField = new ScrollableNumbers( 300, /* initial value */
					    50, /* small increment */
					    0,  /* large increment */
					    1,  /* lower limit */
					    2000, /* upper limit */
					    4,  /* number of chars */
					    /* location of label */
					    ScrollableNumbers.LEFT,
					    "Torso Length (mm)", /* label */
					    /* who to notify when this field
					       changes */
					    this
					    ); 

	/*add( torsoLabel = new Label("Torso Length (mm)", Label.LEFT) );
	torsoField = new TextField(4);
	torsoField.setText("300");*/
	add( torsoField );
	
	kneeField = new ScrollableNumbers(  60, /* initial value */
					    10, /* small increment */
					    0,  /* large increment */
					    0,  /* lower limit */
					    180, /* upper limit */
					    3,  /* number of chars */
					    /* location of label */
					    ScrollableNumbers.LEFT,
					    "Knee Angle (degrees)", /* label */
					    /* who to notify when this field
					       changes */
					    this
					    ); 
	
	/*add( kneeLabel = new Label("Knee Angle") );
	kneeField = new TextField(4);
	kneeField.setText("60");*/
	add( kneeField );
    }
}
